Order Status API

This is a Server-to-Server API that returns the status of the order along with other details in encrypted format.

Please ensure that you validate the amount and status of the order before fulfilling the order at your end.

For information on different order status and handling, refer herelink icon

API Endpoints
Sandbox Link
GET
https://sandbox.juspay.in/orders/{order_id}
Production Link
GET
https://api.juspay.in/orders/{order_id}
Authorization Header
Headers
Path Params
200 : Success
400 : Invalid Input data
401 : Authentication Failed
500 : Unexpected Error

Error Codes

Scroll inside to view more
Scenario
Error Code
Description
Sample Response
Not passing the version in header
-
Note: If a version is provided, the response will include data corresponding to that specific version date. It is recommended not to enforce strict validation on the entire response on the merchant's side to allow for future key additions.
Response with 200
Invalid order id
400
Bad Request
{"status":"NOT_FOUND","error_info":{"user_message":"Order Not Found","developer_message":"Order Not Found","code":"RESOURCE_NOT_FOUND","category":"USER_ERROR"},"status_id":40,"order_id":"173824171"}
Invalid API Key
401
Unauthorized
{"status":"error","error_code":"access_denied","error_info":{"user_message":"Unauthorized.","developer_message":"Invalid API Key. Please pass a valid and active api key.","code":"UNAUTHORIZED","category":"USER_ERROR"}}
Passing an invalid URL
404
Not Found

Sample Mandate Order Status Response